Summary: bc version 1.06-r2
Name: bc
Version: 1.06
Release: r2.0
License: GPLv2+ & LGPLv2.1
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.gnu.org/software/bc/bc.html
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: flex
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: update-alternatives-cworth
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc6 >= 2.18+4.8
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): update-alternatives-cworth
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc6 >= 2.18+4.8
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): update-alternatives-cworth
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libc6 >= 2.18+4.8
Provides: /usr/bin/dc

%description
An arbitrary precision calculator language.

%package -n bc-dbg
Summary: bc version 1.06-r2 - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Recommends: bc = 1.06-r2.0

%description -n bc-dbg
An arbitrary precision calculator language.  This package contains ELF
symbols and related sources for debugging purposes.

%package -n bc-staticdev
Summary: bc version 1.06-r2 - Development files (Static Libraries)
Group: devel
Requires: bc-dev = 1.06-r2.0

%description -n bc-staticdev
An arbitrary precision calculator language.  This package contains static
libraries for software development.

%package -n bc-dev
Summary: bc version 1.06-r2 - Development files
Group: devel
Requires: bc = 1.06-r2.0
Suggests: update-alternatives-cworth-dev
Suggests: libc6-dev(x86_64)
Suggests: flex-dev

%description -n bc-dev
An arbitrary precision calculator language.  This package contains symbolic
links, header files, and related items necessary for software development.

%package -n bc-doc
Summary: bc version 1.06-r2 - Documentation files
Group: doc

%description -n bc-doc
An arbitrary precision calculator language.  This package contains
documentation.

%package -n bc-locale
Summary: bc version 1.06-r2
Group: base

%description -n bc-locale
An arbitrary precision calculator language.

%post
# bc - postinst
#!/bin/sh
	update-alternatives --install /usr/bin/dc dc /usr/bin/dc.bc 100


%postun
# bc - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  dc /usr/bin/dc.bc
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/bc"
"/usr/bin/dc.bc"

%files -n bc-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/bin"
%dir "/usr/src/debug"
%dir "/usr/src/debug/bc"
%dir "/usr/src/debug/bc/1.06-r2"
%dir "/usr/src/debug/bc/1.06-r2/bc-1.06"
%dir "/usr/src/debug/bc/1.06-r2/bc-1.06/h"
%dir "/usr/src/debug/bc/1.06-r2/bc-1.06/bc"
%dir "/usr/src/debug/bc/1.06-r2/bc-1.06/lib"
%dir "/usr/src/debug/bc/1.06-r2/bc-1.06/dc"
"/usr/src/debug/bc/1.06-r2/bc-1.06/h/number.h"
"/usr/src/debug/bc/1.06-r2/bc-1.06/h/getopt.h"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/bcdefs.h"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/global.h"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/storage.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/scan.l"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/proto.h"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/execute.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/scan.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/main.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/load.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/global.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/bc.h"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/bc.y"
"/usr/src/debug/bc/1.06-r2/bc-1.06/bc/util.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/lib/number.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/dc.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/array.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/numeric.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/dc-proto.h"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/string.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/stack.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/misc.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/eval.c"
"/usr/src/debug/bc/1.06-r2/bc-1.06/dc/dc.h"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/bc"
"/usr/bin/.debug/dc.bc"

%files -n bc-dev
%defattr(-,-,-,-)

%files -n bc-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/info"
%dir "/usr/share/man"
"/usr/share/info/dc.info"
"/usr/share/info/bc.info"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/bc.1"
"/usr/share/man/man1/dc.1"

